Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201744 - usb key recognized, but fails to mount
Summary: usb key recognized, but fails to mount
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-08 17:51 UTC by Max Spevack
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-08 00:10:23 UTC


Attachments (Terms of Use)

Description Max Spevack 2006-08-08 17:51:40 UTC
Description of problem:

I plug in my usb key and it is recognized, but fails to mount.

The appropriate bits from /var/log/messages:

Aug  8 13:40:27 localhost kernel: usb 3-2: new full speed USB device using
uhci_hcd and address 4
Aug  8 13:40:27 localhost kernel: usb 3-2: configuration #1 chosen from 1 choice
Aug  8 13:40:27 localhost kernel: scsi4 : SCSI emulation for USB Mass Storage
devices
Aug  8 13:40:33 localhost kernel:   Vendor: LEXAR     Model: JUMPDRIVE        
Rev: 1.20
Aug  8 13:40:33 localhost kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 01 CCS
Aug  8 13:40:33 localhost kernel: SCSI device sdb: 1001952 512-byte hdwr sectors
(513 MB)
Aug  8 13:40:33 localhost kernel: sdb: Write Protect is off
Aug  8 13:40:33 localhost kernel: sdb: assuming drive cache: write through
Aug  8 13:40:33 localhost kernel: SCSI device sdb: 1001952 512-byte hdwr sectors
(513 MB)
Aug  8 13:40:33 localhost kernel: sdb: Write Protect is off
Aug  8 13:40:33 localhost kernel: sdb: assuming drive cache: write through
Aug  8 13:40:33 localhost kernel:  sdb: sdb1
Aug  8 13:40:33 localhost kernel: sd 4:0:0:0: Attached scsi removable disk sdb
Aug  8 13:40:33 localhost kernel: sd 4:0:0:0: Attached scsi generic sg1 type 0

Version-Release number of selected component (if applicable):
fc6-test2
kernel-2.6.17-1.2517.fc6

How reproducible:
You would need the same USB key -- hopefull the log gives enough information to
at least get somewhere.

Steps to Reproduce:
1. Plug in USB key
2. Check /var/log/messages
3. Wait for it to be mounted

Comment 1 Fibonacci 2006-11-15 23:12:11 UTC
Happens to me too since I upgraded the kernel:

$ tail /var/log/messages
Nov 15 17:39:01 prower kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 8
Nov 15 17:39:01 prower kernel: usb 5-7: configuration #1 chosen from 1 choice
Nov 15 17:39:01 prower kernel: scsi6 : SCSI emulation for USB Mass Storage devices
Nov 15 17:39:06 prower kernel:   Vendor: USB 2.0   Model: Flash Disk        Rev:
0.00
Nov 15 17:39:06 prower kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Nov 15 17:39:06 prower kernel: SCSI device sdb: 4030464 512-byte hdwr sectors
(2064 MB)
Nov 15 17:39:06 prower kernel: sdb: Write Protect is off
Nov 15 17:39:06 prower kernel: sdb: assuming drive cache: write through
Nov 15 17:39:06 prower kernel: SCSI device sdb: 4030464 512-byte hdwr sectors
(2064 MB)
Nov 15 17:39:06 prower kernel: sdb: Write Protect is off
Nov 15 17:39:06 prower kernel: sdb: assuming drive cache: write through
Nov 15 17:39:06 prower kernel:  sdb: sdb1
Nov 15 17:39:06 prower kernel: sd 6:0:0:0: Attached scsi removable disk sdb
Nov 15 17:39:06 prower kernel: sd 6:0:0:0: Attached scsi generic sg1 type 0

Still, the device is not mounted. I can manually mount and unmount it only as root.

$ uname -r
2.6.18-1.2200.fc5


This didn't happen with the kernel I had before updating (I forgot which version
it was).

Comment 2 Jon Stanley 2007-12-31 01:23:45 UTC
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-01-08 00:10:23 UTC
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.


Note You need to log in before you can comment on or make changes to this bug.